Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
roles
/
{id}
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.UpdateRoleRequestContent{}
    client.Roles.Update(
        context.TODO(),
        "id",
        request,
    )
}
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the role to update.

Body

name
string

Name of this role.

description
string

Description of this role.

Response

Role successfully updated.

id
string

ID for this role.

name
string

Name of this role.

description
string

Description of this role.